GitScrum / Docs

Clients

Manage client companies. Create, update, list, and retrieve client details.

REST API — All endpoints require authentication via Bearer token. Include Authorization: Bearer {token} in every request. Tokens are managed in GitScrum Settings → API. Base URL: https://services.gitscrum.com — All request paths in this documentation are relative to this base URL.

Manage client companies within your workspace. Create, update, list, and retrieve client details.


List clients

GET /contact-companies/clients?company_slug={slug}

Returns all clients in the workspace.

Response

{
  "data": [
    {
      "uuid": "client-abc-123",
      "name": "Acme Corp",
      "email": "billing@acme.co",
      "phone": "+1-555-0100",
      "website": "https://acme.co",
      "address": "123 Main St, San Francisco, CA",
      "notes": "Enterprise client since 2024",
      "projects_count": 5,
      "invoices_total": 125000,
      "created_at": "2025-06-15T10:00:00Z"
    }
  ]
}

Get client

GET /contact-companies/{uuid}?company_slug={slug}

Returns full client details.

Path parameters

ParameterTypeDescription
uuidstringClient UUID

Response

{
  "data": {
    "uuid": "client-abc-123",
    "name": "Acme Corp",
    "email": "billing@acme.co",
    "phone": "+1-555-0100",
    "website": "https://acme.co",
    "address": "123 Main St, San Francisco, CA",
    "notes": "Enterprise client since 2024",
    "projects_count": 5,
    "invoices_total": 125000,
    "created_at": "2025-06-15T10:00:00Z"
  }
}

Create client

POST /contact-companies

Creates a new client in the workspace.

Request body

FieldTypeRequiredDescription
namestringYesClient company name
company_slugstringYesWorkspace identifier
emailstringNoContact email
phonestringNoPhone number
websitestringNoWebsite URL
addressstringNoStreet address
notesstringNoInternal notes

Example

curl -X POST https://services.gitscrum.com/contact-companies \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -d '{
    "company_slug": "acme",
    "name": "Globex Corporation",
    "email": "contact@globex.com",
    "phone": "+1-555-0200",
    "website": "https://globex.com"
  }'

Response

{
  "data": {
    "uuid": "client-def-456",
    "name": "Globex Corporation",
    "email": "contact@globex.com",
    "phone": "+1-555-0200",
    "website": "https://globex.com",
    "address": null,
    "notes": null,
    "projects_count": 0,
    "invoices_total": 0,
    "created_at": "2026-02-07T12:00:00Z"
  }
}

Update client

PUT /contact-companies/{uuid}

Updates an existing client.

Path parameters

ParameterTypeDescription
uuidstringClient UUID

Request body

FieldTypeRequiredDescription
company_slugstringYesWorkspace identifier
namestringNoClient company name
emailstringNoContact email
phonestringNoPhone number
websitestringNoWebsite URL
addressstringNoStreet address
notesstringNoInternal notes

Example

curl -X PUT https://services.gitscrum.com/contact-companies/client-def-456 \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -d '{
    "company_slug": "acme",
    "notes": "Renewed contract for 2026"
  }'

Field reference

FieldTypeDescription
uuidstringClient unique identifier
namestringCompany name
emailstringContact email
phonestringPhone number
websitestringWebsite URL
addressstringStreet address
notesstringInternal notes
projects_countintegerNumber of associated projects
invoices_totalnumberTotal invoiced amount
created_atdatetimeRecord creation timestamp